<template>
  <div style="width: 100%">
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Infraestructura</strong>
    </div>
    <div class="contSecc">
      <div class="titSecCard">Documento</div>
    </div>
    <template>
      <div>
        <pdf
          v-for="i in numPages"
          :key="i"
          :src="src"
          :page="i"
          style="display: inline-block; width: 100%"
        ></pdf>
      </div>
    </template>
  </div>
</template>
<style scoped></style>
<script>
import pdf from "vue-pdf";
import router from "@/router";
import store from "@/store";
const axios = store.state.axiosApiLocal;
const serviceCommons = store.state.serviceCommons;
export default {
  components: {
    pdf,
  },

  data() {
    return {
      uuid: "",
      folio: 0,
      src: null,
      numPages: null,
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Administracion Layouts",
          disabled: false,
          exact: true,
          to: {
            name: "infraestructura_layouts_administrador_layouts",
          },
        },
        {
          text: "Archivos",
          disabled: false,
          exact: true,
          to: {
            name: "",
          },
        },
        {
          text: "Ver archivo",
          disabled: true,
          exact: true,
        },
      ],
    };
  },
  methods: {
    obtenerParametros() {
      this.uuid = this.$route.params.uuid;
      this.folio = this.$route.params.folio;

      //dataObject.uuid , dataObject.idFolio
    },
    getFolioArchivoContenido() {
      const self = this;
      this.loading = true;
      axios(
        "/documento-sucursal/archivos/v1/" +
          this.folio +
          "/archivos/" +
          this.uuid +
          "/contenido"
      )
        .then((response) => {
          let data = response.data;
          if (data) {
            let initialDoc = data.resultado.archivo;
            self.src = pdf.createLoadingTask(initialDoc);
            this.src.promise.then((pdf) => {
              this.numPages = pdf.numPages;
            });
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        });
    },
  },
  created() {
    var source_path = this.$route.params.source;

    this.breadcrumbs[2].to.name = source_path;

    this.obtenerParametros();
    this.getFolioArchivoContenido();
  },
  mounted() {},
};
</script>
